Bug 417591 - [RFE] Iptables to include the 'nth' module
[RFE] Iptables to include the 'nth' module
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: iptables (Show other bugs)
4.6
All Linux
low Severity low
: ---
: ---
Assigned To: iptables-maint-list
: FutureFeature
Depends On: 417581
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-09 19:36 EST by Norm Murray
Modified: 2010-10-22 17:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-26 11:02:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2007-12-09 19:36:02 EST
+++ This bug was initially created as a clone of Bug #417581 +++

The nth module is not compiled 

iptables v1.2.11: Couldn't load match `nth':/lib64/iptables/libipt_nth.so:
cannot open shared object file: No such file or directory 

The client would like the have the "nth" module as detailed in the iptables man
page to be included with our kernel.  This module matches every 'n'th packet
against the specified rule.

2. Business Justification

The client is attempting to migrate a load balanced cluster onto his Z series
machine.  As cluster suite is not currently available/supported on Z series he
is having to use Round Robin DNS to load balance across their hipervisor to
several z/VM guests.  They feel they would have better reliability/performance
using the 'nth' module approach.


3. Proposed Target Releases

As the migration is still in a planning/testing phase, the desired release is
for RHEL4/5.


4. Architectures Required

This client only needs zSeries.


5. Technical Status

There appears to be a patch avaiable via Patch-O-Matic:
http://www.fifi.org/doc/iptables-dev/html/netfilter-extensions-HOWTO-3.html#ss3.7


6. Testing and Verification

Code is upstream so I assume rudimentary troubleshooting has been undertaken
already.
Comment 1 RHEL Product and Program Management 2008-02-01 13:58:56 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 7 RHEL Product and Program Management 2008-08-26 11:02:07 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.